List views
GET
/api/v1/tables/{tableId}/views
const url = 'https://api.cloudtable.insurge.io/api/v1/tables/example/views';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.cloudtable.insurge.io/api/v1/tables/example/views \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tableId
required
string
Responses
Section titled “Responses”Views
Media typeapplication/json
object
views
required
Array<object>
object
id
required
string
name
required
string
type
required
string
config
required
object
key
additional properties
Examplegenerated
{ "views": [ { "id": "example", "name": "example", "type": "example", "config": { "additionalProperty": "example" } } ]}Unauthorized
Not found